%{?nodejs_find_provides_and_requires}

%global packagename nth-check
%global enable_tests 0

Name:		nodejs-nth-check
Version:	1.0.1
Release:	1%{?dist}
Summary:	performant nth-check parser & compiler

License:	BSD
URL:		https://github.com/fb55/nth-check
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The tests are not currently working in this npm package


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs
Requires:	npm(boolbase)

%description
performant nth-check parser & compiler


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
